Installer - Feature #25590

Installer support for httpboot smart-proxy module
11/30/2018 08:22 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Foreman modules
Target version: 1.22.0
Difficulty: Fixed in Releases: 1.22.0
Triaged: Yes Found in Releases:
Bugzilla link: 1684108 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy/pull/494,
https://github.com/theforeman/puppet-for
eman_proxy/pull/495,
https://github.com/theforeman/foreman-i
nstaller/pull/328,
https://github.com/theforeman/foreman-i
nstaller/pull/329
Description

Hey, we have a new smart-proxy module available in 1.20+ and this configuration needs to be puppetized:

EEE

of the root directory specified in this file.

Enable publishing of a given directory under /EFI and /httpboot paths.
Directory listing is not possible, symlinks are followed but not outside

# Enables the module, make sure to enable TFTP module as well to allow

# configuration files deployment.
renabled: true

#:root_dir: /var/lib/tftpboot

Related issues:
Related to Smart Proxy - Feature #24631: Implement httpboot module

Closed

Associated revisions

Revision 00264bf9 - 03/08/2019 03:13 PM - Ewoud Kohl van Wijngaarden
Fixes #25590 - Add httpboot support

This adds support for the httpboot module that's shipped since 1.20.

It's added under advanced since the default value is derived from

whether tftp is enabled, but can be explicitly enabled. Its root dir is
also hardcoded to the tftp directory.

Revision b5091b4c - 03/11/2019 01:07 AM - Ewoud Kohl van Wijngaarden
Refs #25590 - Correct httpboot template

History

#1 - 11/30/2018 08:22 AM - Lukas Zapletal
- Related to Feature #24631: Implement httpboot module added

#2 - 02/28/2019 12:55 PM - Jan Hutaf
- Bugzilla link set to 1684108

#3 - 02/28/2019 02:39 PM - Ewoud Kohl van Wijngaarden
- Target version set to 1.22.0

- Triaged changed from No to Yes

This needs a cherry pick into 1.21.1 and probably 1.20.3 as well.

#4 - 02/28/2019 02:42 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/494 added

#5 - 03/08/2019 04:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|00264bf9fdfdd5d47c680ec843e1a0dcb5a3e50f.

#6 - 03/11/2019 01:08 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/495 added

#7 - 03/12/2019 09:44 AM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 1.22.0 added

#8 - 03/13/2019 03:42 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/328 added

#9 - 03/13/2019 04:32 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/329 added
